Package pyplusplus :: Package code_creators :: Module scoped :: Class scoped_t

# type scoped_t

source code

    declaration_based.declaration_based_t --+
                                            |
                           object --+       |
                                    |       |
          code_creator.code_creator_t --+   |
                                        |   |
                      compound.compound_t --+
                                            |
                                           scoped_t

Known Subclasses:
  - class_declaration.class_declaration_t
  - , class_declaration.class_t
  - , class_declaration.class_wrapper_t

Instance Methods

__init__(self, declaration) Constructor. | source code

Inherited from `declaration_based.declaration_based_t`: `get_user_headers` Inherited from `compound.compound_t`: `adopt_creator`, `adopt_creators`, `get_system_headers`, `remove_creator` Inherited from `code_creator.code_creator_t`: `beautify`, `create`

Static Methods
Inherited from `compound.compound_t`: `create_internal_code` Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation` Inherited from `compound.compound_t`: `creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, declaration)
(Constructor)

source code

Constructor.

Parameters:
  - `declaration` - Declaration object
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)